"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aws_orchestrate_1 = require("aws-orchestrate");
const shared_1 = require("./shared");
const reducedGateway_1 = require("../../shared/reducedGateway");
exports.config = {
    description: "Takes the netlify message (from the conductor) and sends it to Discord to inform users."
};
const fn = async (request, context) => {
    const { log, sequence, apiGateway } = context;
    if (!request.data) {
        log.error(`This fn requires the "data" property but none was provided!`, {
            request
        });
        throw new Error("No Data Property Found");
    }
    log.info(`A Netlify deployment has kicked off [ ${request.data.branch} / ${request.data.name} ], now building compact message for Discord`, Object.assign({ branch: request.data.branch, repo: request.data.name, fullMessage: request.data, sequence: sequence.toJSON() }, reducedGateway_1.reducedGateway(apiGateway)));
    const message = {
        content: `The "${request.data.branch}" branch of **${request.data.name}** is being built by Netlify. More info soon.`
    };
    await shared_1.sendToDiscord(shared_1.getDiscordWebhookUrl("netlify"), message);
};
exports.handler = aws_orchestrate_1.wrapper(fn);
